/**
 * Užsakymo patvirtinimo ir paskyros puslapiai
 * Priklauso: Order received (thank you), WooCommerce My Account
 */

/* Order received page */
.woocommerce-order .wc-side-column {
  background-color: var(--bg-grey-color);
}

.woocommerce-order .wc-side-column p,
.woocommerce-order .wc-side-column li {
  font-family: var(--font-family-secondary);
  font-size: 14px;
  line-height: 19px;
  font-weight: 400;
  color: var(--grey-text-color);
}

.woocommerce-order .wc-complete-wrap p {
	color: var(--primary-color);
}

.woocommerce-order .wc-side-column li strong {
  font-family: var(--font-family-secondary);
  font-size: 20px;
  line-height: 27px;
  font-weight: 400;
  color: var(--secondary-color);
}

.woocommerce-order .wc-side-column li strong .amount {
  font-size: 30px !important;
  line-height: 41px !important;
}

.wc-wide-column .woocommerce-order-details .woocommerce-order-details__title,
.wc-wide-column header h4 {
  font-family: var(--font-family-primary);
  font-size: 24px;
  line-height: 31px;
  font-weight: 400;
  color: var(--primary-color);
  text-transform: uppercase;
  margin-bottom: 43px;
}

.wc-wide-column .woocommerce-cart-wrap td,
.wc-wide-column .woocommerce-cart-wrap th,
.wc-wide-column .customer_details tr th,
.wc-wide-column .customer_details tr td {
  padding: 0 10px 0 0 !important;
}

.wc-wide-column .woocommerce-cart-wrap tr,
.wc-wide-column .customer_details tr {
  padding-bottom: 9.5px !important;
  margin-bottom: 15.5px !important;
  border-bottom: 1px solid var(--light-grey-color) !important;
  border-top: none !important;
}

.wc-wide-column .woocommerce-cart-wrap td.product-name a,
.wc-wide-column .woocommerce-cart-wrap td.product-name .product-quantity,
.wc-wide-column .woocommerce-cart-wrap tr th,
.wc-wide-column .customer_details tr th {
  font-family: var(--font-family-secondary);
  color: var(--grey-text-color);
  font-size: 14px;
  line-height: 19px;
  font-weight: 400;
}

.wc-wide-column .woocommerce-cart-wrap td.product-total .amount,
.wc-wide-column .woocommerce-cart-wrap tr td,
.wc-wide-column .customer_details tr td {
  font-family: var(--font-family-secondary);
  font-size: 20px;
  line-height: 27px;
  font-weight: 400;
  color: var(--secondary-color);
}

.customer_details tr th,
.wc-wide-column .woocommerce-cart-wrap th {
  padding-top: 4px !important;
}

.order_details tr td,
.order_details tr th,
.customer_details tr td,
.customer_details tr th {
  align-items: unset !important;
}

.order_details tr td.product-name {
  justify-content: unset;
}

.customer_details tr td {
  justify-content: flex-end;
  text-align: right;
}

/* Account page */
.woocommerce-MyAccount-navigation ul li a {
  font-family: var(--font-family-primary);
  font-size: 24px;
  line-height: 31px;
  font-weight: 400;
  color: var(--primary-color) !important;
  text-transform: uppercase;
  background-color: var(--bg-grey-color) !important;
  padding: 8px 19px;
  border-radius: 50px;
  display: block;
  width: 100%;
  max-width: 424px;
  min-height: 50px;
  text-align: left;
  transition: color 0.3s ease;
}

.woocommerce-MyAccount-navigation ul li a:hover {
  color: var(--text-color) !important;
  background-color: var(--primary-color) !important;
}

.woocommerce-MyAccount-navigation ul li.is-active a {
  color: var(--text-color) !important;
  background-color: var(--primary-color) !important;
}

.woocommerce-MyAccount-navigation > ul li {
  margin-bottom: 4.5px;
}

.woocommerce-account .woocommerce-MyAccount-content {
  width: calc(100% - 424px);
}

.woocommerce-MyAccount-navigation {
  width: 424px;
  padding-right: 55px;
}

.woocommerce-MyAccount-content p,
.woocommerce-orders-table.woocommerce-MyAccount-orders td.woocommerce-orders-table__cell,
.woocommerce-orders-table.woocommerce-MyAccount-orders th,
.woocommerce-MyAccount-content .woocommerce-info-text {
  font-family: var(--font-family-secondary);
  font-size: 20px;
  line-height: 27px;
  font-weight: 400;
  color: var(--secondary-color);
}

.woocommerce-MyAccount-content p {
  margin-bottom: 40px;
}

.woocommerce-MyAccount-content p a {
  color: var(--primary-color);
}

.woocommerce-MyAccount-content mark {
  color: var(--primary-color);
  background-color: transparent;
}

.woocommerce-orders-table.woocommerce-MyAccount-orders th span.nobr{
  font-family: var(--font-family-secondary);
  font-size: 14px;
  line-height: 19px;
  font-weight: 400;
  color: var(--grey-text-color);
}

.woocommerce-orders-table.woocommerce-MyAccount-orders th a {
  color: var(--primary-color);
}

.woocommerce-button.button.view,
.woocommerce-Button.wc-forward.button,
.button.wc-forward {
  display: flex;
  align-self: center;
  font-family: var(--font-family-secondary) !important;
  font-size: 17px !important;
  line-height: 23px !important;
  font-weight: 400 !important;
  color: var(--primary-color) !important;
  border: 1px solid var(--primary-color) !important;
  border-radius: 50px !important;
  margin-left: unset !important;
  padding: 10px 30px !important;
  background-color: transparent !important;
  transition: background-color 0.3s ease;
}

.woocommerce-button.button.view:hover,
.woocommerce-Button.wc-forward.button:hover,
.button.wc-forward:hover {
  background-color: var(--primary-color) !important;
  color: var(--secondary-color) !important;
  border: 1px solid var(--primary-color) !important;
}

.woocommerce-button.button.view:hover {
  background-color: var(--primary-color);
}

.woocommerce-orders-table__header.woocommerce-orders-table__header-order-actions {
  text-align: center;
}

.woocommerce-order-details {
  margin-top: 30px;
}

.woocommerce-cart-wrap .woocommerce-table.woocommerce-table--order-details.shop_table.order_details tr th {
  padding-top: unset !important;
}

.woocommerce-Input,
.form-row input,
.form-row select {
  border-radius: 50px !important;
  border: 1px solid var(--light-grey-color);
  padding: 11px 21px 8px !important;
  font-family: var(--font-family-secondary) !important;
  font-size: 18px !important;
  line-height: 25px !important;
  font-weight: 400 !important;
  color: var(--text-color) !important;
  margin-bottom: 0 !important;
  background-color: var(--white-color) !important;
  transition: background-color 0.3s ease !important;
}

.woocommerce-form-row label,
.form-row label {
  font-family: var(--font-family-secondary) !important;
  font-size: 18px !important;
  line-height: 25px !important;
  font-weight: 400 !important;
  color: var(--grey-text-color) !important;
  margin-bottom: 3px !important;
  margin-left: 0 !important;
  display: block !important;
}

#account_display_name_description em {
  font-family: var(--font-family-secondary) !important;
  font-size: 14px !important;
  line-height: 19px !important;
  font-weight: 400 !important;
  color: var(--grey-text-color) !important;
  margin-top: 12.5px !important;
  margin-left: 24px !important;
  display: block !important;
}

.edit-account legend,
.woocommerce-MyAccount-content h2 {
  font-family: var(--font-family-primary) !important;
  font-size: 24px !important;
  line-height: 31px !important;
  font-weight: 400 !important;
  color: var(--primary-color) !important;
  margin-bottom: 26.5px !important;
  display: block !important;
  margin-left: 24px !important;
  text-transform: uppercase !important;
}

.edit-account p,
p.form-row {
  padding-bottom: 8px !important;
  margin-bottom: 7px !important;
}

.woocommerce-MyAccount-content fieldset {
  margin-top: 60.5px !important;
}

.woocommerce-MyAccount-content .edit-account .woocommerce-Button,
.woocommerce-address-fields .button {
  font-family: var(--font-family-secondary) !important;
  font-size: 17px !important;
  line-height: 23px !important;
  font-weight: 400 !important;
  color: var(--text-color) !important;
  border: 1px solid var(--primary-color) !important;
  border-radius: 50px !important;
  padding: 10px 63px !important;
  background-color: var(--primary-color) !important;
  transition: background-color 0.3s ease !important;
  text-transform: uppercase !important;
  float: right;
}

.woocommerce-MyAccount-content .edit-account .woocommerce-Button:hover,
.woocommerce-address-fields .button:hover {
  background-color: transparent !important;
  color: var(--primary-color) !important;
}

/* Account – responsive */
@media (max-width: 1100px) {
  .woocommerce-MyAccount-navigation {
    width: 320px;
    padding-right: 25px;
  }

  .woocommerce-account .woocommerce-MyAccount-content {
    width: calc(100% - 346px);
    float: left;
  }
}

@media (max-width: 767px) {
  .woocommerce-MyAccount-navigation {
    width: unset;
    padding-right: unset;
  }

  .woocommerce-account .woocommerce-MyAccount-content {
    width: 100%;
  }

  .woocommerce-MyAccount-content .edit-account .woocommerce-Button,
  .woocommerce-address-fields .button {
    float: unset;
    width: 100%;
  }
}
